Intereting Posts
Проблема относительного размещения Android с гравитацией Achartengine: вставка дат в виде значений X в Невозможно создать actionbarsherlock: BuildConfig не может быть разрешен переменной Как получить информацию о клиентском устройстве, которая подключена к Wi-Fi-точке доступа? Android в алфавитном порядке быстрый просмотр прокрутки в RecyclerView со сворачивающейся панелью инструментов Невозможно создать экземпляр приемника Только первый запуск Как программно переключить вкладки в android из фрагмента? DataBinding с Android Dialog ImageSpan на EditText (смайлики). С SwiftKey Keyboard не работает Android: текстовое изображение с вертикальным текстом прокрутки Что такое RemoteControlClient в Android 4.0? ActionBar Шерлок Пункт меню OnClick Обработать значение предпочтения перед сохранением в Android? Проблема с пользовательскими обратными вызовами AsyncTaskLoader Как заставить новый NavigationView играть хорошо со строкой состояния?

Добавить библиотеку поддержки Android v4 для intellij ide

Я пытаюсь использовать viewpager из библиотеки поддержки v4 для Android в intelli j. В настоящее время я использую Android SDK 4.1

Я скопировал android-support-v4.jar в свой проект introidij android в разделе 'libs'

В настройках проекта intellij

Я перешел на вкладку «Модули» => «MyModuleName» => зависимостей и добавил android-support-v4.jar, переместив путь к папке libs / под своим собственным проектом

Я проверил «экспорт», кроме этого недавно добавленного файла jar

Но я все еще не могу использовать viewpager в своем приложении.

Я получаю сообщение об ошибке:

 java.lang.RuntimeException: Unable to start activity ComponentInfo{com.xxxx/com.xxxx.MyActivity}: android.view.InflateException: Binary XML file line #13: Error inflating class android.support.v4.view.ViewPager 

Solutions Collecting From Web of "Добавить библиотеку поддержки Android v4 для intellij ide"

Я проверил проект, который вы предоставили, и обнаружил, что проблема вызвана неправильной конфигурацией библиотеки . При добавлении библиотеки вы указали папку для android в jar вместо указания самой jar .

Неправильная конфигурация:

некорректный

Правильная конфигурация:

верный